/**
 * \file komplex.h
 *
 */

#ifndef KOMPLEX_H
#define KOMPLEX_H

#include <math.h>

/**
 * Komplex osztály.
 * Komplex viselkedést megvalósító osztály.
 * Csak a feladat megoldásához szükséges műveleteket definiáltuk.
 */
class Komplex {
	double re;		// valós rész
	double im;		// képzetes rész
public:
    Komplex() { re = 0; im = 0; }  // paraméter nélküli konstruktor
    Komplex(double r, double i = 0) { re = r; im = i; } // 1 és 2 paraméteres konstruktor
	// setter függvények
	void setRe(double d)    { re = d; }
    void setIm(double i)    { im = i; }
	// getter függvények
	double getRe() const    { return re; }
	double getIm() const    { return im; }
    // abs
    double abs() const { return sqrt(re*re+im*im); }
	virtual ~Komplex() {}
};

#endif // KOMPLEX_H
