/**
 * \file pkomplex.h
 *   perzisztens komplex osztály deklarációja
 *
 */

#ifndef PKOMPLEX_H
#define PKOMPLEX_H

#include "serializable.h"
#include "komplex.h"

class PKomplex : public Serializable, public Komplex {
public:
  //Kostruktorok: Minden kell, ami a komplexnek van
    // paraméter nélküli konstruktor
    PKomplex() : Komplex() {}
    // 1 és 2 paraméteres konstruktor
    PKomplex(double r, double i = 0) : Komplex(r, i) {}
    // + egy olyan ami Komplex-ből hoz létre
    PKomplex(const Komplex& k) : Komplex(k) {}

  // setter/getter függvények (jönnek a publikus öröklésből)

  // másoló op=, nem kell mert nem kezelünk din. területet

  // read/write kell
     void write(std::ostream&) const;
     void read(std::istream&);
};

#endif // PKOMPLEX_H
