/**
 * \file felhfelulet.h
 *
 * A felhasználói felületet megvalósító osztályok definiciói
 * Nem ismeri a modellt.
 *
 */
#ifndef FELULET_H
#define FELULET_H
#include <iostream>
#include <boost/signals2.hpp>

/// Gomb.
/// A gomb "megnyomására" meghívódik a nyom() tagfüggvény
class Gomb {
    boost::signals2::signal<void ()> sig;
public:
    /// A konstruktor egy funtort kap, ez lesz a slot.
    template <typename F>
    Gomb(F f) {
	 sig.connect(f);            /// itt kötjük össze
    }

    /// A felhasználó felületen megnyomták a gombot
    void nyom() {               /// megnyomták
	sig();                      /// küldjük a signált
    }
};
#endif // FELULET_H
