/**
 * \file modell.h
 *
 * A modell-t megvalósító osztályok definíciói
 * Nem ismeri a felhasználói felületet.
 *
 */
#ifndef MODELL_H
#define MODELL_H
#include <string>

/// Drot
/// A drot modelljét megvalósító osztály
class Drot {
public:
    /// Valahogy működik.
    /// A példa szempontjából érdektelen
    void set() {}
};

/// Kapcsoló
/// A kapcsolót modelljét megvalósító osztály
class Kapcsolo :public Drot {
	bool bent;              // állapot
	std::string nev;	// nyomogomb neve
public:
    Kapcsolo(const char* n ="") :bent(false), nev(n) {}

    /// Kikapcsol
    void ki();

    /// Bekapcsol
    void be();

    /// GombCallback callBack függvénye
    /// A felhasználói felület ezt hívja
    void callBack();
};
#endif // MODELL_H
